Subject: RE: [Speechsc] IANA considerations for group feedback

From: Dan Burnett <[email-masked]>
Date: Wed, 9 Feb 2005 06:59:17 -0800 (PST)

I don't think it should be up to us to create a
general definition of "control" other than that
originally defined.  I'm sure not up to it.  However,
note that the wording is "SHOULD NOT" rather than
"MUST NOT".

By the way, did you have an answer to my other
question, in which namespace(s) the SDP items you
mention should be registered?

-- dan

--- "Reifenrath, Klaus"
<[email-masked]> wrote:

> Quoting from
http://www.ietf.org/internet-drafts/draft-ietf-mmusic-sdp-new-23.txt:
>    Note: The media types "control" and "data" were
> listed as valid in
>    the previous version of this specification [6],
> however their
>    semantics were never fully specified and they are
> not widely used.
>    These media types have been removed in this
> specification, although
>    they still remain valid media type capabilities
> for a SIP user agent
>    as defined in RFC 3840 [23].  If these media
> types are considered
>    useful in future, a Standards Track RFC MUST be
> produced to document
>    their use.  Until that is done, applications
> SHOULD NOT use these
>    types and SHOULD NOT declare support for them in
> SIP capabilities
>    declarations (even though they exist in the
> registry created by RFC
>    3840).
> 
> -----Original Message-----
> From: Thomas Gal [mailto:[email-masked]]
> Sent: Mittwoch, 26. Januar 2005 20:48
> To: 'Dan Burnett'; 'Reifenrath, Klaus'
> Cc: [email-masked]
> Subject: RE: [Speechsc] IANA considerations for
> group feedback
> 
> 
> [email-masked]
> 
> -Tom
> 
> [email-masked]  
> 
> > -----Original Message-----
> > From: [email-masked] 
> > [mailto:[email-masked]] On Behalf Of
> Dan Burnett
> > Sent: Wednesday, January 26, 2005 10:15 AM
> > To: Reifenrath, Klaus
> > Cc: [email-masked]
> > Subject: RE: [Speechsc] IANA considerations for
> group feedback
> > 
> > I agree that there needs to be an registration of 
> > application/x-nlsml (or, as an email from Tom
> pointed out, 
> > application/nlsml).  Technically it should be in a
> separate 
> > RFC from MRCP, but I can include it in the draft
> if there are 
> > no objections.
> > 
> 
> I would certainly agree with not using
> "application/nlsml" but something
> similar to obviate confusion, even mrcp-nlsml or
> something.
> 
> > If "control" is already registered, do we need to
> do it?  In 
> > short, it's not clear to me in which
> > namespace(s) the SDP items you mention should be
> registered.  
> > Are they new namespaces for MRCP or are there
> existing 
> > namespaces to which the items should be added?
> > 
> 
> Isn't MRCPv2 "control"? I would guess control is too
> ambiguous and probably
> why it's being deprecated.
> 
> -Tom
> 

		
__________________________________ 
Do you Yahoo!? 
Yahoo! Mail - You care about security. So do we. 
http://promotions.yahoo.com/new_mail

_______________________________________________
Speechsc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/speechsc

---

From: Sarvi Shanmugham <[email-masked]>
Date: Wed, 09 Feb 2005 09:19:06 -0800

And they have clearly left the door open for a future standards track 
RFC to define the usage of "control", which is what we are doing here.

Sarvi

---

From: Dan Burnett <[email-masked]>
Date: Wed, 9 Feb 2005 09:40:57 -0800 (PST)

Does that mean we need to register it?  I would still
assume *not*.

		
__________________________________ 
Do you Yahoo!? 
Yahoo! Mail - Helps protect you from nasty viruses. 
http://promotions.yahoo.com/new_mail

---

From: Sarvi Shanmugham <[email-masked]>
Date: Wed, 09 Feb 2005 10:03:44 -0800

I would wait for Magnus's response. May be he has an alternate proposal 
to "control".

Sarvi
Dan Burnett wrote:

>>>originally defined.  I'm sure not up to it. 
>>>      
>>>
>>However,
>>    
>>
>>>>  semantics were never fully specified and they
>>>>        
>>>>
>>are
>>    
>>
>>>>not widely used.
>>>>  types and SHOULD NOT declare support for them
>>>>        
>>>>
>>in
>>    
>>
>>>>SIP capabilities
>>>>>application/nlsml).  Technically it should be in
>>>>>          
>>>>>
>>a
>>    
>>
>>>>>     
>>>>>
>>>>>          
>>>>>
>>>>separate 
>>>>   
>>>>
>>>>        
>>>>
>>>>Isn't MRCPv2 "control"? I would guess control is
>>>>        
>>>>
>>too
>>    
>>
>>>>ambiguous and probably

---

From: Magnus Westerlund <[email-masked]>
Date: Thu, 10 Feb 2005 09:53:38 +0100

Hi,

Lets first check if we are talking about what I think we are. This 
discussion is about the media type that should go in the "m=" line 
within SDP when declaring the MRCPv2 protocol session?

Sarvi Shanmugham wrote:
> I would wait for Magnus's response. May be he has an alternate proposal to "control".
> 

I would suggest that you use application. It is a matching top level 
media type, however it is fairly wide. For the alternative see below.

> Does that mean we need to register it?  I would still

If you want to use a top level media type called "control" you will need 
to define that top level type. Thus it would require a registration of 
it, which must address the MIME registration rules, see RFC 2048.

My interpretation is that "SHOULD NOT" is directed at proprietary use. 
For an IETF standards track specification, we really should not break 
this recommendation and instead define what it means if you intend to 
use it.

So in my view you have two alternatives:

1. Use "application"

2. Define "control" in a separate document and then use it.

When it comes to message I it doesn't seem appropriate, please take a 
look at what exist currently in it (see IANA registry), and its 
description (Section 5.2 RFC 2046).

Cheers

Magnus Westerlund

Multimedia Technologies, Ericsson Research EAB/TVA/A
----------------------------------------------------------------------
Ericsson AB                | Phone +46 8 4048287
Torshamsgatan 23           | Fax   +46 8 7575550
S-164 80 Stockholm, Sweden | mailto: [email-masked]